Bug 1251161 - [abrt] webkitgtk4: _g_log_abort(): WebKitWebProcess killed by SIGTRAP
[abrt] webkitgtk4: _g_log_abort(): WebKitWebProcess killed by SIGTRAP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8051d72dcb32e3c4d5bdcb38fc1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 11:31 EDT by Braden McDaniel
Modified: 2015-09-01 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.8.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 08:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.56 KB, text/plain)
2015-08-06 11:31 EDT, Braden McDaniel
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: core_backtrace (3.70 KB, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: dso_list (13.03 KB, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: environ (1.48 KB, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: maps (62.50 KB, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: mountinfo (4.21 KB, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: open_fds (972 bytes, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2015-08-06 11:32 EDT, Braden McDaniel
no flags Details

  None (edit)
Description Braden McDaniel 2015-08-06 11:31:56 EDT
Version-Release number of selected component:
webkitgtk4-2.8.4-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 0
crash_function: _g_log_abort
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     16043
kernel:         4.0.8-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:315
 #3 g_socket_details_from_fd at gsocket.c:333
 #4 g_socket_constructed at gsocket.c:551
 #5 g_object_new_internal at gobject.c:1814
 #6 g_object_new_valist at gobject.c:2033
 #7 g_initable_new_valist at ginitable.c:224
 #8 g_initable_new at ginitable.c:146
 #9 g_socket_new_from_fd at gsocket.c:1072
 #10 WorkQueue::registerSocketEventHandler(int, std::function<void ()>, std::function<void ()>) at /usr/src/debug/webkitgtk-2.8.4/Source/WebKit2/Platform/gtk/WorkQueueGtk.cpp:86
 #11 IPC::Connection::open at /usr/src/debug/webkitgtk-2.8.4/Source/WebKit2/Platform/IPC/unix/ConnectionUnix.cpp:401
Comment 1 Braden McDaniel 2015-08-06 11:31:59 EDT
Created attachment 1060014 [details]
File: backtrace
Comment 2 Braden McDaniel 2015-08-06 11:32:00 EDT
Created attachment 1060015 [details]
File: cgroup
Comment 3 Braden McDaniel 2015-08-06 11:32:01 EDT
Created attachment 1060016 [details]
File: core_backtrace
Comment 4 Braden McDaniel 2015-08-06 11:32:02 EDT
Created attachment 1060017 [details]
File: dso_list
Comment 5 Braden McDaniel 2015-08-06 11:32:03 EDT
Created attachment 1060018 [details]
File: environ
Comment 6 Braden McDaniel 2015-08-06 11:32:04 EDT
Created attachment 1060019 [details]
File: limits
Comment 7 Braden McDaniel 2015-08-06 11:32:05 EDT
Created attachment 1060020 [details]
File: maps
Comment 8 Braden McDaniel 2015-08-06 11:32:06 EDT
Created attachment 1060021 [details]
File: mountinfo
Comment 9 Braden McDaniel 2015-08-06 11:32:07 EDT
Created attachment 1060022 [details]
File: namespaces
Comment 10 Braden McDaniel 2015-08-06 11:32:08 EDT
Created attachment 1060023 [details]
File: open_fds
Comment 11 Braden McDaniel 2015-08-06 11:32:08 EDT
Created attachment 1060024 [details]
File: proc_pid_status
Comment 12 Fedora Update System 2015-08-25 11:39:56 EDT
webkitgtk4-2.8.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 13 Fedora Update System 2015-08-26 13:27:08 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update webkitgtk4'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 14 Fedora Update System 2015-09-01 08:19:10 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.